package net.h34t.filemure

import net.h34t.filemure.tpl.*
import org.apache.commons.text.StringEscapeUtils
import java.net.URLEncoder

class TemplateModifiers : Frame.Modifiers, Limbo.Modifiers, NewDocumentForm.Modifiers, Overview.Modifiers,
    Document.Modifiers {

    fun hashPrefix(arg: String): String {
        return URLEncoder.encode(arg, Charsets.UTF_8)
    }

    override fun starPrefix(arg: String): String {
        return StringEscapeUtils.escapeHtml4(arg)
    }

}
